NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_modulepath(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_modulepath - Get the paths to a server's modules

## Table Of Contents

## Synopsis

- ns_modulepath server ?module ...?

## Description

This command returns the path to a server's directory and optionally to its modules. The command does no validation on the server to see if it is actually defined. The server directory is a subdirectory of "servers" under the path returned from ns_info home. Modules are relative to that directory in the subdirectory "modules".

## COMMANDS

ns_modulepath server ?module ...?

## EXAMPLES

       % ns_modulepath exampleServer
       /home/ns/servers/exampleServer

       % file join